<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
echo("<h2> Este módulo serve para atualizar as tabelas. Não clique nos comandos, sem necessidade.</h2>");
$generica=new tabelagenerica();
switch ($tela):
    case 'acesso':
        if(isset($_POST['tabela140815'])):
			$sql = "CREATE TABLE kittratamento(
			 kit_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (kit_id),
			 kit_labo INT(11) not null DEFAULT '0',
			 kit_conteudo500 VARCHAR(500) ,
			 kit_sigla VARCHAR(30) ) 
			 ENGINE = InnoDB;";

			$generica->grava_registro_com_retorno($sql);
			echo("Criou nova tabela denominada kittratamento.<br>");
 	    endif;

        if(isset($_POST['tabela300815'])):
			$sql = "CREATE TABLE despesasmensais(
			 des_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (des_id),
			 des_id_lab INT(11) not null DEFAULT '0',
			 des_historico VARCHAR(200) ,
			 des_operador VARCHAR(30) , 
			 des_data_despesa date  ,
			 des_datacad timestamp , 
			 des_valor float)  
			 ENGINE = InnoDB;";

			 $generica->grava_registro_com_retorno($sql);
			 echo("Criou nova tabela denominada despesasmensais.<br>");
 	    endif;

        if(isset($_POST['tabela300815A'])):
			$sql = "CREATE TABLE registro_ocorrencias(
			 reg_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (reg_id),
			 reg_id_amostra INT(11) not null DEFAULT '0',
			 reg_id_doc INT(11) not null DEFAULT '0',
			 reg_operador VARCHAR(20) ,
			 reg_finalidade VARCHAR(30) ,
			 reg_datacad timestamp , 
			 reg_valor VARCHAR(10) , 
			 reg_labo INT(11) )  
			 ENGINE = InnoDB;";

			$generica->grava_registro_com_retorno($sql);
			echo("Criou nova tabela denominada registro_ocorrencias.<br>");
 	    endif;



        if(isset($_POST['campos140815'])):

            /*isso aqui funciona mas é so um teste, uma sucata
		    $arr = array("tabelas" => array(
		    1 => 'ALTER TABLE ficha ADD COLUMN fic_previsao1 varchar(10);',
			2 => "ALTER TABLE tabeladeful ADD COLUMN modelo_ficha_virtual1 varchar(20) NOT NULL DEFAULT 'vago' ;",
            3 => $sql)); 
			// sql to create table

			for($i =1; $i < 3; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
			*/        

		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE tabeladeful ADD COLUMN germinacao_tela2 varchar(3) NOT NULL DEFAULT 'NAO';",
		    2 => 'ALTER TABLE ficha ADD COLUMN fic_complemento varchar(8);', 
		    3 => 'ALTER TABLE ficha ADD COLUMN fic_registrador varchar(10);',
		    4 => 'ALTER TABLE ficha ADD COLUMN fic_aparelho varchar(20);',
		    5 => 'ALTER TABLE ficha ADD COLUMN fic_cultivar_digitada varchar(40);',
		    6 => 'ALTER TABLE ficha ADD COLUMN fic_dosn varchar(30);',
		    7 => "ALTER TABLE ficha ADD COLUMN fic_finalizada_nocivas  varchar(8) NOT NULL DEFAULT 'Não';",
		    8 => 'ALTER TABLE ficha ADD COLUMN fic_balanca   varchar(15);',
		    9 => "ALTER TABLE ficha ADD COLUMN fic_pagou_extra varchar(15) NOT NULL DEFAULT 'Não';",
		   10 => 'ALTER TABLE ficha ADD COLUMN fic_previsao varchar(10);',
		   11 =>'ALTER TABLE relatocampos add COLUMN rca_id INT NOT NULL AUTO_INCREMENT , ADD PRIMARY KEY (rca_id);',
		   12 => "ALTER TABLE pagamento ADD COLUMN pag_operador varchar(15) NOT NULL DEFAULT 'Não informado';",
		    13 =>'ALTER TABLE tempsila add COLUMN obs_id INT NOT NULL AUTO_INCREMENT , ADD PRIMARY KEY (obs_id);',
		    14 =>"ALTER TABLE tempsila  ADD COLUMN obs_labo INT(11) NOT NULL DEFAULT '0';",
		    15 => 'ALTER TABLE rean1 MODIFY rea_campo20b varchar(30);',
		    16 => 'ALTER TABLE rean1  ADD COLUMN rea_segunda_leitura varchar(10);',
		    17 => 'ALTER TABLE rean1  ADD COLUMN rea_validade varchar(10);',
		    18 => 'ALTER TABLE rean1  ADD COLUMN rea_boletim varchar(10);',
		    19 => 'ALTER TABLE rean1  ADD COLUMN rea_finalizada varchar(10);',
		    20 => 'ALTER TABLE rean1  ADD COLUMN operador varchar(25);',
		    21 => 'ALTER TABLE tabeladeful ADD COLUMN  germinacao_tela2  varchar(3);',
		    22 => "ALTER TABLE tabeladeful ADD COLUMN modelo_ficha_virtual varchar(20) NOT NULL DEFAULT 'vago' ;",
		    23 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=23;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Alterou os campos <br>");
 	    endif;//fecha o isset do comando campos 14/08/15
		
		if(isset($_POST['campos250915'])):
		    $arr = array("tabelas" => array(
		    1 => 'ALTER TABLE remetente MODIFY prd_email1 varchar(80);',
		    2 => 'ALTER TABLE remetente MODIFY prd_apelido varchar(25);',
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=3;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Alterou os campos <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
		
		if(isset($_POST['campos211115'])):
		    $arr = array("tabelas" => array(
		    1 => 'ALTER TABLE rean1 MODIFY rea_campo60a varchar(120);',
		    2 => 'ALTER TABLE rean1 MODIFY rea_campo60b varchar(80);',
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=3;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Alterou os campos <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
		

		if(isset($_POST['campos241115'])):
		    $arr = array("tabelas" => array(
		    1 => 'ALTER TABLE kittratamento ADD COLUMN kit_conteudo150a varchar(150);',
			2 => 'ALTER TABLE kittratamento ADD COLUMN kit_conteudo150b varchar(150);',
			3 => 'ALTER TABLE kittratamento ADD COLUMN kit_conteudo150c varchar(150);',
			4 => 'ALTER TABLE kittratamento ADD COLUMN kit_conteudo150d varchar(150);',
		    5 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=4;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Alterou os campos <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
		
		//criar novas tabelas p/fitopatologia
        if(isset($_POST['campos251115'])):
             $sql = "CREATE TABLE listapatogenos(
			 lip_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (lip_id),
			 lip_nome_cientifico VARCHAR(80),
			 lip_nome_comum VARCHAR(40) )
			 ENGINE = InnoDB;";
             $generica->grava_registro_com_retorno($sql);
			 
			 //criar lista espécie
			 $sql = "CREATE TABLE listapatogenoespecie(
			 lpe_especie_id INT(11) not null DEFAULT '0',
			 lpe_patogeno_id INT(11) not null DEFAULT '0' )
			 ENGINE = InnoDB;";
             $generica->grava_registro_com_retorno($sql);
			 
			 // cria lista patogeno amostra
			 $sql = "CREATE TABLE listapatogenosamostra(
			 lpa_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (lpa_id),
			 lpa_id_patogeno INT(11) not null DEFAULT '0',
			 lpa_id_amostra INT(11) not null DEFAULT '0',
			 lpa_operador VARCHAR(80) NOT NULL DEFAULT '-O-',
			 lpa_valor VARCHAR(10) )
			 ENGINE = InnoDB;";
             $generica->grava_registro_com_retorno($sql);
			 
            echo("incluiu os campos para fitopatologia <br>");
 	    endif;

	
		if(isset($_POST['campos291115'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE tabeladeful   ADD COLUMN laudo_informe varchar(30)  NOT NULL DEFAULT 'formato2015';",
		    2 => "ALTER TABLE tabeladeful   ADD COLUMN laudo_plural varchar(30)  NOT NULL DEFAULT 'formato2015';",
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu dois campos na tabela deful <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
	
		if(isset($_POST['campos271215'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_custo float  NOT NULL DEFAULT -1;",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo na tabela ficha <br>");
            
			

 	    endif;//fecha o isset do comando campos 25/09/15

        
		if(isset($_POST['campos271215(popula)'])):
			//vai percorrer toda tabela ficha deste cliente e coloar os valores dos custos
			$userAmostra=new tabelagenerica();
			$userAmostra->extras_select =" select fic_id,fic_custo,fic_amostra from ficha where fic_labo=".$idLabo;
			$userAmostra->selecionaCamposEspecial($userAmostra);
			$objetocalculo=new calculos();
			$contador=0;
		    while ($resAmostra = $userAmostra->retornaDados()):
			    $custoGravado=$resAmostra->fic_custo;
				$amostra=$resAmostra->fic_amostra;
                if($custoGravado < 0): 
			        $contador++; 
	                if($contador==1000):
						//vai mostrar até onde foi a populacao
					    
						break;
					endif;             
			        $amostraLong=$resAmostra->fic_id;
					$custo=$objetocalculo->calculaCusto($amostraLong);//calcula e grava o custo
					echo("Populou fic_custo na tabela ficha  amostra=$amostra   valor=$custo<br>");
                endif;  
            endwhile;
            echo("Populou o campo fic_custo na tabela ficha <br>");

	
        endif; 	
		
		
		if(isset($_POST['campos04012016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE especies   ADD COLUMN esp_temp  varchar(20)  NOT NULL DEFAULT '25 - 28';",
		    2 => "ALTER TABLE especies   ADD COLUMN esp_trat  varchar(60)  NOT NULL DEFAULT '-';",
		    3 => "ALTER TABLE especies   ADD COLUMN esp_substrato  varchar(60)  NOT NULL DEFAULT '-';",
		    4 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=3;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo na tabela ficha <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

		if(isset($_POST['campos16012016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE remetente   ADD COLUMN prd_cod_amostrador   INT(11) not null DEFAULT '0';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo na tabela remetente <br>");
 	    endif;//fecha o isset do comando campos 25/09/15


		if(isset($_POST['campos24012016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE remetente   ADD COLUMN prd_desconto   INT(11) not null DEFAULT '0';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo desconto na tabela remetente <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

		if(isset($_POST['campos24012016A'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_status_finalizada  varchar(3)  NOT NULL DEFAULT 'NAO';",
		    2 => "ALTER TABLE ficha   ADD COLUMN fic_status_pago varchar(3)  NOT NULL DEFAULT 'NAO';",
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campos fic_status finalizada e  fic_status pago tabela ficha <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

		if(isset($_POST['campos060216'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE tabeladeful   ADD COLUMN tz_r3_duras     varchar(3) NOT NULL DEFAULT 'NAO';",
		    2 => "ALTER TABLE tabeladeful   ADD COLUMN replicar_testes varchar(3) NOT NULL DEFAULT 'SIM';",
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu dois campos na tabela deful <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

		if(isset($_POST['campos16022016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE amostrador   ADD COLUMN amt_email varchar(50) NOT NULL DEFAULT '-O-';",
		    2 => "ALTER TABLE amostrador   ADD COLUMN amt_crea varchar(20) NOT NULL DEFAULT '-O-';",
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu dois campos na tabela amostrador <br>");
 	    endif;//fecha o isset do comando

		if(isset($_POST['campos02032016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE remetente   ADD COLUMN prd_endereco_comercial varchar(100) NOT NULL DEFAULT '-O-';",
		    2 => "ALTER TABLE remetente   ADD COLUMN prd_inscricao_estadual varchar(20) NOT NULL DEFAULT '-O-';",
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo desconto na tabela remetente <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
		
		if(isset($_POST['campos24032016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE tabeladepreco   ADD COLUMN tap_preco_d float  NOT NULL DEFAULT 0;",
		    2 => $sql)); 
			// sql to create table
            //$limite=sizeof($arr);
			//echo("limite= $limite<br>");
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo tap_preco_d na tabela tabeladepreco <br>");
 	    endif;//fecha o isset do comando campos 
		


//nao deixar isso na web(usar so local  colocar um x aqui depois do nome da isset)		
		if(isset($_POST['foreignKey'])):
			$sql = "alter  table ficha drop foreign key FK_ficha_remetente";

			$generica->grava_registro_com_retorno($sql);
			echo("Deletou a foreignkey.<br>");
 	    endif;

		if(isset($_POST['campos10042016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE especies  ADD COLUMN esp_validade int(4)  NOT NULL DEFAULT 6;",
		    2 => "ALTER TABLE especies  ADD COLUMN esp_ensaios_analise int(4)  NOT NULL DEFAULT 4;",
	        3 => "ALTER TABLE especies  ADD COLUMN esp_ensaios_reanalise int(4)  NOT NULL DEFAULT 2;",
			4 => "ALTER TABLE especies  MODIFY esp_tipo varchar(100);",
		    5 => $sql)); 
			// sql to create table
            //$limite=sizeof($arr);
			//echo("limite= $limite<br>");
			$limite=5;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo esp_tipo,esp_ensaios_analise na tabela especies <br>");
 	    endif;//fecha o isset do comando 
		
	     //cria tabela normas de qualidade	
		 if(isset($_POST['campos20042016'])):
			 $sql = "CREATE TABLE norma_qualidade(
			 nor_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (nor_id),
			 nor_labo INT(11) not null DEFAULT '0',
			 nor_formulario VARCHAR(20) not null default 'FOR: XXX' ,
			 nor_emissao VARCHAR(20)    not null default 'Emissão: XXX' ,
			 nor_revisao VARCHAR(20)    not null default 'Revisão: XXX' ,
			 nor_tipo VARCHAR(20),
			 nor_modelo VARCHAR(20),
			 nor_datacad timestamp)  
			 ENGINE = InnoDB;";
			$generica->grava_registro_com_retorno($sql);
			echo("criou tabela norma_qualidade <br>");
 	    endif;

	     //cria tabela quimica	
		 if(isset($_POST['campos22042016'])):
			 $sql = "CREATE TABLE quimica(
			 qui_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (qui_id),
			 qui_amostra_id INT(11) ,
			 qui_pms float not null,

			 qui_n_ponto varchar(8),
			 qui_k_ponto varchar(8),
			 qui_p_ponto varchar(8),
			 qui_ca_ponto varchar(8),
			 qui_mg_ponto varchar(8),
			 qui_s_ponto varchar(8),
			 qui_b_ponto varchar(8),
			 qui_cu_ponto varchar(8),
			 qui_fe_ponto varchar(8),
			 qui_mn_ponto varchar(8),
			 qui_zn_ponto varchar(8),
			 qui_na_ponto varchar(8),
			 qui_mo_ponto varchar(8),
			 qui_grupo varchar(5),
			 qui_datacad timestamp)  
			 ENGINE = InnoDB;";
			$generica->grava_registro_com_retorno($sql);
			
			echo("criou tabela quimica <br>");
			
			
 	    endif;

		if(isset($_POST['campos13052016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_comprovante  int  NOT NULL DEFAULT 0;",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campos fic_comprovante tabela ficha <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

       if(isset($_POST['tabela01082016'])):
			$sql = "CREATE TABLE certificadodigital(
			ced_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (ced_id),
			ced_chave VARCHAR(100) ,
			ced_iddoc INT(11) not null DEFAULT '0')  
			ENGINE = InnoDB;";
			$generica->grava_registro_com_retorno($sql);
			echo("Criou nova tabela denominada certificadodigital.<br>");
 	    endif;

		if(isset($_POST['tabela12102016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_binario varchar(20) NOT NULL DEFAULT '0000000000000000000N';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo fic_binario na tabela ficha <br>");
 	    endif;//fecha o isset do comando campos 25/09/15


		if(isset($_POST['tabela24102016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_dt_pagou date NOT NULL DEFAULT '2016-01-01';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo fic_dt_pagou na tabela ficha para registrar o dia que foi extraido o recibo <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

       if(isset($_POST['tabela17122016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_modo varchar(20);",
		    2 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_leituras varchar(76);",
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu 2 campos  na tabela listapatogenosepsecie para registrar o modo de calculo e os fungos encontrados <br>");
 	    endif;

		if(isset($_POST['tabela20122016'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_beneficiada varchar(1)  NOT NULL DEFAULT 'S';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo fic_BENEFICIADA na tabela ficha para registrar o dia que foi extraido o recibo <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

		if(isset($_POST['campos10012017'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE tabeladepreco   ADD COLUMN tap_preco_e float  NOT NULL DEFAULT 0;",
		    2 => $sql)); 
			// sql to create table
            //$limite=sizeof($arr);
			//echo("limite= $limite<br>");
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo tap_preco_e na tabela tabeladepreco <br>");
 	    endif;//fecha o isset do comando campos 

        if(isset($_POST['tabela010217'])):
			$sql = "CREATE TABLE tratamentofrequente(
			 tfg_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (tfg_id),
			 tfg_labo INT(11) not null DEFAULT '0',
			 tfg_cultura INT(11) not null DEFAULT '0',
			 tfg_tratamento VARCHAR(80) ,
			 tfg_temperatura VARCHAR(20) ,
			 tfg_substrato VARCHAR(80) ,
			 tfg_germinador VARCHAR(30)) 
			 ENGINE = InnoDB;";

			$generica->grava_registro_com_retorno($sql);
			echo("Criou nova tabela denominada tratamentofrequente.<br>");
 	    endif;
		
		if(isset($_POST['campoAumentar110517'])):
		    $arr = array("tabelas" => array(
		    1 => 'ALTER TABLE remetente MODIFY prd_endereco varchar(101);',
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Aumentou o campo prd_endereco, na tabela remetente <br>");
 	    endif;//fecha o isset do comando campos campoAumentar110517

		if(isset($_POST['CAN_DME_18_07_17'])):
		    //AQUI COLOCA OS DOIS CAMPOS PEDIDOS PELA UFLA CAN + DME (TESTO SE TEM UM E CARREGO SO DOIS SE NAO TIVER))
		    $sql="select det_sigla from determinacoes where det_sigla='CAN'";
 	 	    //$generica=new tabelagenerica();
		    $generica->tabela="determinacoes";
		    $generica->campos_valores = array(
				"det_sigla" => NULL,
			);
			$generica->extras_select ="  where det_sigla='CAN'";
		    $generica->selecionaCampos($generica);
	        $contador=0;
			while ($resgenerica = $generica->retornaDados()):
				$contador++; 
				$vetorDete[$contador]=$resgenerica->det_sigla;
		    endwhile;
			//veridica se eencontrou, caso nao encontrou adiciona
			if($contador==0):
              //poe o primmeiro registro=CAN
			  $sql="insert into determinacoes(det_sigla,det_tit1,det_tit2,det_tit3)";
	          $sql.="values('CAN','Canteiro','','')";
		      echo("sql de gravacao REGISTRO NOVO =$sql<br>");
	          $userNota = new generica();
	          $userNota->campos_valores = $sql;				 
			  $userNota->inserirEspecial($userNota);
              //poe o segundo registro=DME
			  $sql="insert into determinacoes(det_sigla,det_tit1,det_tit2,det_tit3)";
	          $sql.="values('DME','Dano','mecanico','')";
		      echo("sql de gravacao REGISTRO NOVO =$sql<br>");
	          $userNota = new generica();
	          $userNota->campos_valores = $sql;				 
			  $userNota->inserirEspecial($userNota);
			  //$idNota=$userNota->linhasafetadas;
			  echo("Criou 2 registros novos na tabela determinações.");
			
			endif;
			
			
	        echo("mostra sql  $sql $contador <br>");    

 	    endif;//fecha o isset do comando 

		if(isset($_POST['patologia19_07_17'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_inicio varchar(10);",
		    2 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_final varchar(10);",
		    3 => $sql)); 
			// sql to create table
            //$limite=sizeof($arr);
			//echo("limite= $limite<br>");
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu 2 campos na trabela LISTAPATOGENOSAMOSTRA <br>");
 	    endif;//fecha o isset do comando campos 

		if(isset($_POST['patologia21_07_17'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_observacao1 varchar(150);",
		    2 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_observacao2 varchar(150);",
		    3 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_observacao3 varchar(150);",
		    4 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_analista varchar(15);",
		    5 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_dataSalvamento varchar(10);",
		    6 => $sql)); 
			// sql to create table
            //$limite=sizeof($arr);
			//echo("limite= $limite<br>");
			$limite=5;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu 5 campos na trabela LISTAPATOGENOSAMOSTRA <br>");
 	    endif;//fecha o isset do comando campos 

		if(isset($_POST['analise_reanalise'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_analise_reanalise varchar(1)  NOT NULL DEFAULT '1';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo fic_analise_reanalise na tabela ficha para registrar o tipo de analise/reanalise/reteste etc <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

		if(isset($_POST['bt_datasLeituras'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE rean1   ADD COLUMN rea_primeira_leitura_data      varchar(10)  NOT NULL DEFAULT '-O-';",
		    2 => "ALTER TABLE rean1   ADD COLUMN rea_primeira_leitura_analista  varchar(10)  NOT NULL DEFAULT '-O-';",
		    3 => "ALTER TABLE rean1   ADD COLUMN rea_segunda_leitura_data       varchar(10)  NOT NULL DEFAULT '-O-';",
		    4 => "ALTER TABLE rean1   ADD COLUMN rea_segunda_leitura_analista   varchar(10)  NOT NULL DEFAULT '-O-';",
		    5 => "ALTER TABLE rean1   ADD COLUMN rea_terceira_leitura_data      varchar(10)  NOT NULL DEFAULT '-O-';",
		    6 => "ALTER TABLE rean1   ADD COLUMN rea_terceira_leitura_analista  varchar(10)  NOT NULL DEFAULT '-O-';",
		    7 => $sql)); 
			// sql to create table
            //$limite=sizeof($tabelas);
			//echo $limite;
			$limite=6;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campos analista e data leitura tabela rean1 <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
	
	
	    //se eu quero colocar mais um campo numa tabela é so colocar a linha de comando antes das demais 
		//no caso abaiso eu adiconei o campo fic_preparo_dosn  depois que ja tinha sido incluido os demais no banco  e deu certo
		if(isset($_POST['tabela31_08_2017'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_recipiente1      varchar(5)  NOT NULL DEFAULT '';",
		    2 => "ALTER TABLE ficha   ADD COLUMN fic_recipiente2      varchar(5)  NOT NULL DEFAULT '';",
		    3 => "ALTER TABLE ficha   ADD COLUMN fic_aparelho_umidade varchar(10)  NOT NULL DEFAULT '';",
		    4 => "ALTER TABLE ficha   ADD COLUMN fic_grau_umidade     varchar(5)  NOT NULL DEFAULT '';",
		    5 => "ALTER TABLE ficha   ADD COLUMN fic_data_umidade     varchar(10)  NOT NULL DEFAULT '';",
		    6 => "ALTER TABLE ficha   ADD COLUMN fic_preparo_dosn     varchar(10)  NOT NULL DEFAULT '';",
		    7 => "ALTER TABLE ficha   ADD COLUMN fic_preparo_pureza   varchar(10)  NOT NULL DEFAULT '';",
		    8 => "ALTER TABLE ficha   ADD COLUMN fic_preparo_complemento varchar(10)  NOT NULL DEFAULT '';",
		    9 => "ALTER TABLE ficha   ADD COLUMN fic_preparo_data     varchar(10)  NOT NULL DEFAULT '';",
		    10=> "ALTER TABLE ficha   ADD COLUMN fic_preparo_analista varchar(10)  NOT NULL DEFAULT '';",
		    11=> "ALTER TABLE ficha   ADD COLUMN fic_operador_contaminante varchar(15)  NOT NULL DEFAULT '';",
		    12=> "ALTER TABLE ficha   ADD COLUMN fic_data_contaminante varchar(10)  NOT NULL DEFAULT '';",
		    13=> "ALTER TABLE ficha   ADD COLUMN fic_testes_realizar varchar(80)  NOT NULL DEFAULT '';",
		    14=> $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=13;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campos  na tabela ficha para registrar preparo da amostra. <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
		
		
		if(isset($_POST['tabela02_03_2018'])):
			$sql = "CREATE TABLE textos_avulsos(
			 tav_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (tav_id),
			 tav_labo INT(11) not null DEFAULT '0',
			 tav_texto VARCHAR(150) ,
			 tav_conjunto VARCHAR(2) ) 
			 ENGINE = InnoDB;";
			$generica->grava_registro_com_retorno($sql);
			echo("Criou tabela para textos avulsos observacoes de documentos.<br>");
 	    endif;
		
		if(isset($_POST['tabela05_04_2018'])):
			$sql = "CREATE TABLE laudoscampos(
			 lau_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (lau_id),
			 lau_campo INT(11) not null DEFAULT '0',
			 lau_fase VARCHAR(15) ,
			 lau_densidade VARCHAR(10) ,
			 lau_numero  INT(11) not null DEFAULT '0',
             lau_producao_estimada VARCHAR(10) ,
			 lau_isolamento VARCHAR(3) ,
			 lau_sub_amostra VARCHAR(6) ,
			 lau_plantas_sub_amostra VARCHAR(6) ,
			 lau_pragas VARCHAR(150) ,
			 lau_tratamento_reco VARCHAR(150) ,
			 lau_aprovacao VARCHAR(3) ,
			 lau_revistoria VARCHAR(15) ,
			 lau_nao_conformidade VARCHAR(150) ,
			 lau_medida_corretiva VARCHAR(150) ,
			 lau_data VARCHAR(10) ,
			 lau_tecnico INT(11) not null DEFAULT '0',
			 lau_a1 VARCHAR(3) ,
			 lau_a2 VARCHAR(3) ,
			 lau_a3 VARCHAR(3) ,
			 lau_a4 VARCHAR(3) ,
			 lau_a5 VARCHAR(3) ,

			 lau_b1 VARCHAR(3) ,
			 lau_b2 VARCHAR(3) ,
			 lau_b3 VARCHAR(3) ,
			 lau_b4 VARCHAR(3) ,
			 lau_b5 VARCHAR(3) ,


			 lau_c1 VARCHAR(3) ,
			 lau_c2 VARCHAR(3) ,
			 lau_c3 VARCHAR(3) ,
			 lau_c4 VARCHAR(3) ,
			 lau_c5 VARCHAR(3) ,


			 lau_d1 VARCHAR(3) ,
			 lau_d2 VARCHAR(3) ,
			 lau_d3 VARCHAR(3) ,
			 lau_d4 VARCHAR(3) ,
			 lau_d5 VARCHAR(3) ,

			 lau_e1 VARCHAR(3) ,
			 lau_e2 VARCHAR(3) ,
			 lau_e3 VARCHAR(3) ,
			 lau_e4 VARCHAR(3) ,
			 lau_e5 VARCHAR(3) ,

			 lau_f1 VARCHAR(3) ,
			 lau_f2 VARCHAR(3) ,
			 lau_f3 VARCHAR(3) ,
			 lau_f4 VARCHAR(3) ,
             lau_f5 VARCHAR(3) ) 
			 ENGINE = InnoDB;";

			$generica->grava_registro_com_retorno($sql);
			echo("Criou nova tabela denominada laudoscampos.<br>");
 	    endif;
		if(isset($_POST['bt_tabela12_04_2018'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE camposproducao   ADD COLUMN cpr_plantio_anterior varchar(10)  NOT NULL DEFAULT ' ';",
		    2 => "ALTER TABLE camposproducao   ADD COLUMN cpr_data_plantio varchar(10)  NOT NULL DEFAULT ' ';",
		    3 => "ALTER TABLE camposproducao   ADD COLUMN cpr_aprovada varchar(200)  NOT NULL DEFAULT ' ';",
			4 => "ALTER TABLE camposproducao   ADD COLUMN cpr_numero_glebas varchar(2)  NOT NULL DEFAULT ' ';",
		    5 => "ALTER TABLE camposproducao   ADD COLUMN cpr_credencial varchar(200)  NOT NULL DEFAULT ' ';",
		    6 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=6;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campos na tabela campos producao <br>");
 	    endif;

        //inserir um campo na atabela ficha
		if(isset($_POST['bt_tabela20_06_2018'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_consolidada_data_rt      varchar(10)  NOT NULL DEFAULT '';",
		    2 => $sql)); 
			// sql to create table
            //$limite=sizeof($tabelas);
			//echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo para gravar data consolidacao pelo rt. <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
	
	
	    //inserir um campo na atabela documentos para registrar qual analista fez o doc
		if(isset($_POST['bt_tabela20_07_2018'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE documentos   ADD COLUMN doc_operador   varchar(15)  NOT NULL DEFAULT '';",
		    2 => $sql)); 
			// sql to create table
            //$limite=sizeof($tabelas);
			//echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo para gravar operador que fez o documento. <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

		if(isset($_POST['bt_tabela22_09_2018'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_abre_fecha_patologia varchar(7)  NOT NULL DEFAULT 'ABERTA';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo fic_abre_fecha_patologia na tabela ficha para registrar se esta aberta ou fechada. <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

		if(isset($_POST['bt_tabela13_07_2019'])):
		    $arr = array("tabelas" => array(
		    1 => 'ALTER TABLE rean1 MODIFY rea_primeira_leitura_analista varchar(80);',
		    2 => 'ALTER TABLE rean1 MODIFY rea_segunda_leitura_analista varchar(80);',
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=3;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Aumentou o campo rea_primeira_leitura_analista e rea_segunda_leitura_analista na tabela rean1 ambos para 80 caracteres <br>");
 	    endif;//fecha o isset do comando campos campoAumentar110517

		if(isset($_POST['bt_tabela10_08_2020'])):
		    //echo 'xxxxxxxxx';
		    $arr = array("tabelas" => array(
		    1 => 'ALTER TABLE tabeladeful MODIFY vias_documento_habitual varchar(15);',
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=3;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Aumentou o campo vias_documento_habitual na tabela tabeladeful  para 15 caracteres <br>");
 	    endif;//fecha o isset do comando campos campoAumentar110517

		if(isset($_POST['bt_tabela01_09_2020'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE tabeladeful   ADD COLUMN laudo_certificado varchar(30)  NOT NULL DEFAULT 'VIGOR';",
		    2 => "ALTER TABLE tabeladeful   ADD COLUMN laudo_reserva varchar(30)  NOT NULL DEFAULT 'RESERVA2020';",
		    3 => "ALTER TABLE tabeladeful   ADD COLUMN laudo_certificado varchar(30)  NOT NULL DEFAULT 'RESERVA2022';",
		    4 => "ALTER TABLE tabeladeful   ADD COLUMN tbd_testes2023 varchar(50)  NOT NULL DEFAULT '010101010101010101010101010101';",
		    5 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=5;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu dois campos na tabela deful <br>");
 	    endif;//fecha o isset do comando ca	  
		
		
		 

        // este campo vai guardar outra cultivar se foi encontrada em feijao dentro do modulo PUREZA.PHP
		if(isset($_POST['bt_tabela23_07_2021'])):
		    //echo 'xxxxxxxxx';
		    $arr = array("tabelas" => array(
		    1 => 'ALTER TABLE rean1 MODIFY rea_segunda_leitura_data varchar(40);',
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Aumentou o campo rea_segunda_leitura_data  para 40 caracteres <br>");
 	    endif;//fecha o isset do comando campos campoAumentar110517

        //inserir um campo na amostrador
		if(isset($_POST['bt_tabela25_08_2021'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE amostrador   ADD COLUMN amt_data_renasem date NOT NULL DEFAULT '2016-01-01';",
		    2 => "ALTER TABLE remetente   ADD COLUMN prd_data_renasem date NOT NULL DEFAULT '2017-01-01';",
		    3 => $sql)); 
			// sql to create table
            //$limite=sizeof($tabelas);
			//echo $limite;
			$limite=3;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo amt_validade para gravar data validade do renasem <br>");
 	    endif;//fecha o isset do comando campos 25/09/15
	
	    //este campo eu tive que criar para limagrain para ajustar o aspecto do materioa
	    if(isset($_POST['campos260422'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_sit_export varchar(30)  NOT NULL DEFAULT 'NAO';",
		    2 => "ALTER TABLE ficha   ADD COLUMN fic_tratamento_status varchar(50)  NOT NULL DEFAULT 'NAO';",
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=3;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu  CAMPO fic_sit_export na tabela ficha <br>");
 	    endif;//fecha o isset do comando campos 25/09/15





	    //este campo eu tive que criar para limagrain para os pstroes especiais deler
	    if(isset($_POST['campos140522'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE padraonacional    ADD COLUMN pna_det7 varchar(5)  NOT NULL DEFAULT '-';",
		    2 => "ALTER TABLE padraonacional    ADD COLUMN pna_det8 varchar(5)  NOT NULL DEFAULT '-';",
		    3 => "ALTER TABLE padraonacional    ADD COLUMN pna_det9 varchar(5)  NOT NULL DEFAULT '-';",
		    4 => "ALTER TABLE padraonacional    ADD COLUMN pna_det10 varchar(5)  NOT NULL DEFAULT '-';",
		    5 => "ALTER TABLE padraonacional    ADD COLUMN pna_det11 varchar(5)  NOT NULL DEFAULT '-';",
		    6 => "ALTER TABLE padraonacional    ADD COLUMN pna_det12 varchar(5)  NOT NULL DEFAULT '-';",
		    7 => "ALTER TABLE padraonacional    ADD COLUMN pna_det13 varchar(5)  NOT NULL DEFAULT '-';",
		    8 => "ALTER TABLE padraonacional    ADD COLUMN pna_det14 varchar(5)  NOT NULL DEFAULT '-';",
		    9 => "ALTER TABLE padraonacional    ADD COLUMN pna_det15 varchar(5)  NOT NULL DEFAULT '-';",
		    10 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=10;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu  CAMPO fic_sit_export na tabela ficha <br>");
 	    endif;//fecha o isset do comando campos 25/09/15

      if(isset($_POST['tabela21102022'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_metodo varchar(60);",
		    2 => "ALTER TABLE listapatogenosamostra   ADD COLUMN lpa_objetivo varchar(50);",
		    3 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu 2 campos  na tabela listapatogenosepsecie para registrar o metodo  e o objetivo <br>");
 	    endif;
		
		 if(isset($_POST['tabela230223'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE laudoscampos   ADD COLUMN lau_glebaNome  varchar(60);",
			2 => "ALTER TABLE laudoscampos   ADD COLUMN lau_glebaArea  varchar(10);",
			3 => "ALTER TABLE laudoscampos   ADD COLUMN lau_finalizado varchar(10);",
		    4 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=4;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu 1 campo lau_glebaNome  na tabela laudoscampos  <br>");
 	    endif;
		
//AQUI VOU CRIAR UM CAMPO NA TABELA INVASORAS E PUXAR OS REGISTROS FRAC PARA ESTE CAMPO		
		if(isset($_POST['criaCampoTabInvasoras'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE invasoras  ADD COLUMN inv_qtd_pureza varchar(10) DEFAULT '0';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu 1 campo  na tabela invasoras e puxou os dados do registro de FRA para o novo campo <br>");
            //aqui TERMINOU DE CRIAR O CAMPO E AGORA VAI PUXAR O QUE TIVER NOS REGISTROS DE FRA
			//vai percorrer toda tabela ficha deste cliente e coloar os valores dos custos
			$userAmostra=new tabelagenerica();
			$userAmostra->extras_select =" select inv_amostra,inv_qtd,inv_cod_praga from invasoras where inv_codigo='5FRA'";
			$userAmostra->selecionaCamposEspecial($userAmostra);
		    while ($resAmostra = $userAmostra->retornaDados()):
			    $amostraLong=$resAmostra->inv_amostra;
				$codPraga=$resAmostra->inv_cod_praga;
                $qtdPraga=$resAmostra->inv_qtd;
                echo("vai salvar registro amostraLong2= $amostraLong  codPraga $codPraga qtdPraga=$qtdPraga<br>"); 
				
				
				
               //deve verificar se tem o registro MAS NAO PODE SER OBVIAMENTE O PRORIO REGISTRO 5FRA
			   /*
			   $userAmostra1=new tabelagenerica();
			   $userAmostra1->extras_select =" select inv_id from invasoras where inf_codigo!='5FRA' AND inv_amostra=".$amostraLong." and inv_cod_praga=".$codPraga;
			   $userAmostra1->selecionaCamposEspecial($userAmostra1);
               $amostraLong2=0;
		       while ($resAmostra1 = $userAmostra1->retornaDados()):
			    $amostraLong2=$resAmostra2->inv_id;
               endwhile;			   
               //se achou a id DUM REGISTRO QUE NAO É 5FRA MAS É DA MESMA AMOSTRA E DA MESMO COD_PRAGA 			   
			   if($amostraLong2>0):
                 echo("vai salvar registro amostraLong2= $amostraLong2<br>"); 
               endif; 
			   */          
            endwhile;
 	    endif;

		 if(isset($_POST['campos181023'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE ficha   ADD COLUMN fic_esta_em_documentos varchar(5) DEFAULT '-';",
		    2 => $sql)); 
			// sql to create table
            $limite=sizeof($tabelas);
			echo $limite;
			$limite=1;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql \n");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu um campo na tabela ficha campo  fic_esta_em_documentos \n");

 	    endif;//fecha o isset do comando campos 181023

		 if(isset($_POST['campos231023'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE especies  ADD COLUMN esp_sigla_det1 varchar(5) DEFAULT 'xxxx';",
		    2 => "ALTER TABLE especies  ADD COLUMN esp_sigla_det2 varchar(5) DEFAULT 'xxxx';",
		    3 => "ALTER TABLE especies  ADD COLUMN esp_sigla_det3 varchar(5) DEFAULT 'xxxx';",
		    4 => "ALTER TABLE especies  ADD COLUMN esp_sigla_det4 varchar(5) DEFAULT 'xxxx';",
		    5 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L1C1 varchar(15) DEFAULT 'xxxx';",
		    6 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L1C2 varchar(15) DEFAULT 'xxxx';",
		    7 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L1C3 varchar(15) DEFAULT 'xxxx';",
		    8 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L1C4 varchar(15) DEFAULT 'xxxx';",
		    9 => "ALTER TABLE especies   ADD COLUMN esp_titulo_L2C1 varchar(15) DEFAULT 'xxxx';",
		    10 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L2C2 varchar(15) DEFAULT 'xxxx';",
		    11 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L2C3 varchar(15) DEFAULT 'xxxx';",
		    12 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L2C4 varchar(15) DEFAULT 'xxxx';",
		    13 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L3C1 varchar(15) DEFAULT 'xxxx';",
		    14 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L3C2 varchar(15) DEFAULT 'xxxx';",
		    15 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L3C3 varchar(15) DEFAULT 'xxxx';",
		    16 => "ALTER TABLE especies  ADD COLUMN esp_titulo_L3C4 varchar(15) DEFAULT 'xxxx';",
			17 => $sql)); 
			// sql to create table
            //$limite=sizeof($arr);
			//echo("limite= $limite<br>");
			$limite=17;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campos para outras determinacoes na tabela especies<br>");
 	    endif;//fecha o isset do comando 

         //criando tabela fichaEspelho para nao precisar acessar rean nem documentos
		 if(isset($_POST['tabela181223'])):
			 $sql = "CREATE TABLE fichaEspelho(
			 fie_id    INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (fie_id),
			 fie_ficha INT(11) not null , UNIQUE KEY (fie_ficha),
			 fie_pms VARCHAR(5) ,
			 fie_inf VARCHAR(5) ,
			 fie_pure VARCHAR(5) ,
			 fie_germ varchar(5) ,
			 fie_ge2 VARCHAR(5) ,
			 fie_gd VARCHAR(5) ,
			 fie_fri VARCHAR(5) ,
			 fie_fr2 VARCHAR(5) ,
			 fie_pad_are VARCHAR(5) ,
			 fie_pad_are2 VARCHAR(5) ,
			 fie_dtu VARCHAR(5) ,
			 fie_elisa VARCHAR(10) ,
			 fie_bio_roundup VARCHAR(100) ,
			 fie_bio_roundup2 VARCHAR(100) ,
			 fie_bio_glufosinato VARCHAR(100) ,
			 fie_BIO_glufosinato2 VARCHAR(100) ,
			 fie_sobresalente1 VARCHAR(5) ,
			 fie_sobresalente2 VARCHAR(5) ,
			 fie_sobresalente3 VARCHAR(5) ,
			 fie_sobresalente4 VARCHAR(5) ,
			 fie_sobresalente5 VARCHAR(5) ,
			 fie_boletim_n VARCHAR(5), 
			 fie_boletim_d VARCHAR(10), 
			 fie_informe_n VARCHAR(5), 
			 fie_informe_d VARCHAR(10), 
			 fie_termo_n VARCHAR(5), 
			 fie_termo_d VARCHAR(10), 
			 fie_certificado_n VARCHAR(5), 
			 fie_certificado_d VARCHAR(10), 
			 fie_termo_aditivo_n VARCHAR(5), 
			 fie_termo_aditivo_d VARCHAR(10), 
			 fie_criado_em  Timestamp)
			 ENGINE = MyISAM;";
			 $generica->grava_registro_com_retorno($sql);
			 echo("Criou nova tabela denominada fichaEspelho.<br>");
 	     endif;
		////////////////////////
		 if(isset($_POST['tabela300815'])):
			$sql = "CREATE TABLE despesasmensais(
			 des_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (des_id),
			 des_id_lab INT(11) not null DEFAULT '0',
			 des_historico VARCHAR(200) ,
			 des_operador VARCHAR(30) , 
			 des_data_despesa date  ,
			 des_datacad timestamp , 
			 des_valor float)  
			 ENGINE = InnoDB;";

			 $generica->grava_registro_com_retorno($sql);
			 echo("Criou nova tabela denominada despesasmensais.<br>");
 	    endif;
		///////////////////////
		if(isset($_POST['tabela220124'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE tabelaDeful  ADD COLUMN versaoMontarDoc varchar(4) DEFAULT '2024';",

			12 => $sql)); 
			// sql to create table
            //$limite=sizeof($arr);
			//echo("limite= $limite<br>");
			$limite=2;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campo que define qual a versao de montador de documentos vou usar <br>");
 	    endif;//fecha o isset do comando 

        if(isset($_POST['tabela270124'])):
			$sql = "CREATE TABLE invasorasresumo(
			 ire_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (ire_id),
			 ire_ficha INT(11) not null DEFAULT '0',
			 ire_oe VARCHAR(3) ,
			 ire_si VARCHAR(3) ,
			 ire_nt VARCHAR(3) ,
			 ire_np VARCHAR(3) ,
			 ire_dia timestamp , 
			 ire_in45 VARCHAR(3) ) 
			 ENGINE = InnoDB;";

			$generica->grava_registro_com_retorno($sql);
			echo("Criou nova tabela denominada invasorasResumo.<br>");
 	    endif;     

if(isset($_POST['tabela290124'])):
		    $arr = array("tabelas" => array(
		    1 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_pure_aprov BOOL DEFAULT True;",
		    2 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_germ_aprov BOOL DEFAULT True;",
		    3 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_ge2_aprov BOOL DEFAULT True;",
		    4 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_gd_aprov BOOL DEFAULT True;",
		    5 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_fri_aprov BOOL DEFAULT True;",
		    6 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_fr2_aprov BOOL DEFAULT True;",
		    7 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_pad_are_apro BOOL DEFAULT True;",
		    8 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_pad_are2_aprov BOOL DEFAULT True;",
		    9 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_dtu_aprov BOOL DEFAULT True;",
		    10 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_inf_aprov BOOL DEFAULT True;",
		    11 => "ALTER TABLE fichaEspelho  ADD COLUMN fie_canteiro1e2_aprov BOOL DEFAULT True;",


			12 => $sql)); 
			// sql to create table
            //$limite=sizeof($arr);
			//echo("limite= $limite<br>");
			$limite=12;
			for($i =1; $i <= $limite; $i++):
               $sql= $arr["tabelas"][$i];
			   echo("mostra sql  $sql <br>");               
			   $generica->grava_registro_com_retorno($sql);
            endfor;
            echo("Incluiu campos na tabela invasorasresumo  <br>");
 	    endif;//fecha o isset do comando 


		

		 if(isset($_POST['expandAccess'])):
            $conteudoExpandir=$_POST['conteudoExpandir'];
            list($lista[1],$lista[2],$lista[3]) = explode(" ", $conteudoExpandir);//



            echo("expandAccess  expande alguns campos  conteudoExpandir=$conteudoExpandir<br>");
 	    endif;

//////////////////
if(isset($_POST['tabela230524'])):
			 $sql = "CREATE TABLE especiesmix(
			 emi_id INT NOT NULL AUTO_INCREMENT , PRIMARY KEY (emi_id),
			 emi_ficha INT(11) not null DEFAULT '0',
			 emi_especie INT(11) not null DEFAULT '0',
			 emi_cultivar INT(11) not null DEFAULT '0',
			 emi_quantidade_declarada float,
			 emi_quantidade_encontrada float,
			 emi_prioridade	int(2)	not null DEFAULT '0',
			 emi_tempe VARCHAR(10) not null DEFAULT '-',
			 emi_substrato VARCHAR(20) not null DEFAULT '-',
			 emi_normais	varchar(3) not null DEFAULT '-',
			 emi_anormais	varchar(3) not null DEFAULT '-',
			 emi_duras	varchar(3) not null DEFAULT '-',
			 emi_dormentes	varchar(3) not null DEFAULT '-',
			 emi_mortas	varchar(3) not null DEFAULT '-',
			 emi_duracao	varchar(15) not null DEFAULT '-',
			 emi_validade varchar(15) not null DEFAULT '-',
			 emi_germ INT(11) not null DEFAULT '0')
			 ENGINE = InnoDB;";
			 $generica->grava_registro_com_retorno($sql);
			 echo("Criou nova tabela denominada especiesmix.<br>");
endif; 
            





         echo"Clique no comando que o programador lhe orientou! Este módulo é usado raramente, por isso nao tem tratamento de erro muito elaborado, por isso se aparecer mensagem de erro não há motivo para preocupação." ;
		 ?>
		 
		 	       <form class="userform" method="post" action="">
				   <br>
				   <fieldset>
					<table  width="800">
		
                        <tr>
						<td><input type="submit" name="tabela140815"   value="1-Tabela14/08/15"  /></td>
						<td><input type="submit" name="tabela300815"   value="2-Tabela30/08/15"  /></td>
						<td><input type="submit" name="tabela300815A"   value="3-Tabela30/08/15"  /></td>
						<td><input type="submit" name="campos140815"   value="4-Campos 01/09/15"  /></td>

                        </tr>
                        <tr>
						<td><input type="submit" name="campos250915"   value="5-Campos 25/09/155)"  /></td>
						<td><input type="submit" name="campos241115"   value="6-Campos novos 24/11/15"  /></td>
						<td><input type="submit" name="campos251115"   value="7-Campos e tab novas 25/11/15"  /></td>
						<td><input type="submit" name="campos211115"   value="8-Campos aumento 21/11/15"  /></td>
                        </tr>

                        <tr>
						<td><input type="submit" name="campos291115"   value="9-Campos aumento 29/11/15"  /></td>
						<td><input type="submit" name="campos271215"   value="10-Campo custo 27/12/15"  /></td>
						<td><input type="submit" name="campos271215(popula)"   value="11-Implantar custos: 27/12/15"  /></td>
						<td><input type="submit" name="campos04012016"   value="12-campos04012016"  /></td>
                        </tr>

                        <tr>
						<td><input type="submit" name="campos16012016"   value="13-Campos prd_cod_amostrador"  /></td>
						<td><input type="submit" name="campos24012016"   value="14-Campos prd_desconto"  /></td>
						<td><input type="submit" name="campos24012016A"   value="15Campos na tab ficha"  /></td>
						<td><input type="submit" name="campos060216"   value="16-Campos na tabELADEFUL"  /></td>
                        </tr>

                        <tr>
						<td><input type="submit" name="campos16022016"   value="17-Campos 16/02/2016"  /></td>
						<td><input type="submit" name="campos02032016"   value="18-Campos 02/03/2016"  /></td>
						<td><input type="submit" name="campos24032016"   value="19-Campo 24/03/2016"  /></td>
						<td><input type="submit" name="foreignKey"       value="20-Alteracao09/04/16"  /></td>
                        </tr>
						
                        <tr>
						<td><input type="submit" name="campos10042016"   value="*21-Campos 02/02/23MAPA"  /></td>
						<td><input type="submit" name="campos20042016"   value="22-Campos 20/04/2016"  /></td>
						<td><input type="submit" name="campos22042016"   value="23-Campos 22/04/2016"  /></td>
						<td><input type="submit" name="campos13052016"   value="24-Campos 13/05/2016"  /></td>
                        </tr>
                        <tr>
						<td><input type="submit" name="tabela01082016"   value="25-Tabela 01/08/2016"  /></td>
						<td><input type="submit" name="tabela12102016"   value="26-Tabela 12/10/2016"  /></td>
                        <td><input type="submit" name="tabela24102016"   value="27-Campo 27/10/2016"  /></td>
                        <td><input type="submit" name="tabela17122016"   value="28-Campo 17/12/2016"  /></td>

                        </tr>
                        <tr>
						<td><input type="submit" name="tabela20122016"   value="29-Tabela 20/08/2016"  /></td>
						<td><input type="submit" name="campos10012017"   value="30-Campo  10/01/2017"  /></td>
						<td><input type="submit" name="tabela010217"   value="31-tabela 010217"  /></td>
						<td><input type="submit" name="campoAumentar110517"   value="32-tabela 110517"  /></td>
                        </tr>
						
                        <tr>
						<td><input type="submit" name="CAN_DME_18_07_17"   value="33-CAN_DME_18_07_17"  /></td>
						<td><input type="submit" name="patologia19_07_17"   value="34-Patologia19_07_17"  /></td>
						<td><input type="submit" name="patologia21_07_17"   value="35-Patologia21_07_17"  /></td>
						<td><input type="submit" name="analise_reanalise"   value="36-Análise/Reanálise270717"  /></td>
                        </tr>

                        <tr>
						<td><input type="submit" name="bt_datasLeituras"   value="37-REAN1 ANALISTAS 09_08_17"/></td>
						<td><input type="submit" name="tabela31_08_2017"   value="38-tabela31/08/2017"/></td>
						<td><input type="submit" name="tabela02_03_2018"   value="39-tabela02/03/2018"/></td>
						<td><input type="submit" name="tabela05_04_2018"   value="40-tabela05/04/2018"/></td>
                        </tr>
                        <tr>
						<td><input type="submit" name="bt_tabela12_04_2018"   value="41-tabela12_04_2018"/></td>
						<td><input type="submit" name="bt_tabela20_06_2018"   value="42-tabela20_06_2018"/></td>'bt_tabela20_07_2018'
						<td><input type="submit" name="bt_tabela20_07_2018"   value="43-bt_tabela20_07_2018"/></td>
						<td><input type="submit" name="bt_tabela22_09_2018"   value="44-bt_tabela22_09_2018"/></td>
                        </tr>

                        <tr>
						<td><input type="submit" name="bt_tabela13_07_2019"   value="45-130719SoDIMICRON"/></td>
						<td><input type="submit" name="bt_tabela10_08_2020"   value="46-100820_via *1,2e3"/></td>
						<td><input type="submit" name="bt_tabela01_09_2020"   value="47-010920_mod_CERTIF"/></td>
						<td><input type="submit" name="bt_tabela23_07_2021"   value="48-23_07_2021AumentaRea_SLD"/></td><!--SLD=SEGUNDALITURADATA-->
                        </tr>
						
                        <tr>
						<td><input type="submit" name="bt_tabela25_08_2021"   value="49-250821Val.Ren.Amostr"/></td>
						<td><input type="submit" name="campos260422"   value="*50-260422-Campo fic_sit_export"/></td>
                        <td><input type="submit" name="campos140522"   value="51-260422-Campos padroesNacional"/></td>
                        <td><input type="submit" name="tabela21102022"   value="52-211022-Cmps listapat_amo"/> </td>
					    </tr>
						
						<tr>
						<td><input type="submit" name="tabela230223"   value="53-tabela230223"/></td>
						<td><input type="text" name="conteudoExpandir" value="<?php echo $conteudoExpandir;?>"</td>
						<td><input type="submit" name="expandAccess"   value="54expandAcess"/></td>
						<td><input type="submit" name="criareggerm"   value="55solucaoirga"/></td>
					    </tr>

						<tr>
						<td><input type="submit" name="criaCampoTabInvasoras" value="56INVASORAS"</td>
						<td><input type="submit" name="campos181023" value="57fic_esta_documentos"</td>
						<td><input type="submit" name="campos231023" value="58detes/especie"</td>
						<td><input type="submit" name="tabela181223" value="59 cria Tab fichaEspelho"</td>
						</tr>
						<tr>
						<td><input type="submit" name="tabela220124" value="60default24"</td>
						<td><input type="submit" name="tabela270124" value="61resumoINV_ADV"</td>
						<td><input type="submit" name="tabela290124" value="62 amplia Tab fichaEspelho"</td>
						<td><input type="submit" name="tabela230524" value="tabela especiesMix"</td>
				
						</tr>
						


                    </table>
					</fieldset>
	             </<form>
		 <?php
		 //$ad=50*40;
		 $A3=30;
		 $B3=30;
		 $C3=40;
		 
		 $A3=70;
		 $B3=10;
		 $C3=20;
		 //$ad={[1+(0.35941*(-0.02128887*$A3))+(-0.01005814*$$B3)+(-0.01901894*$C3)
		 //+(0.000171219*($A3*$B3))+(0.0002073924*($A3*$C3))+(0.00006118707*($B3
		 //*$C3))-(0.000006373789*($A3*$B3*$C3))]^2.78474}*10;  
		 
		 //$ad=((1+(0.35941*(-0.02128887*$A3))+(-0.01005814*$B3)+(-0.01901894*$C3)
		// +(0.000171219*($A3*$B3))+(0.0002073924*($A3*$C3))+(0.00006118707*($B3
		// *$C3))-(0.000006373789*($A3*$B3*$C3)))^0.78474)*10;  

		// $ad=((1+(0.3591*((-0.02128887*$A3)+(-0.01005814*$B3)+(-0.01901894*$C3)
		// +(0.0001171219*$A3*$B3)+(0.0002073924*$A3*$C3)+(0.00006118707*$B3
		// *$C3)+(-0.000006373789*$A3*$B3*$C3))))^2.78474)*10;  
        //$ad0=((1+(0.3591*((-0.02128887*$A3)+(-0.01005814*$B3)+(-0.01901894*$C3) +(0.0001171219*$A3*$B3)+(0.0002073924*$A3*$C3)+(0.00006118707*$B3*$C3)+(-0.000006373789*$A3*$B3*$C3))))^3)*10;  
        //$ad0=(1+(0.3591*((-0.02128887*$A3)+(-0.01005814*$B3)+(-0.01901894*$C3) +(0.0001171219*$A3*$B3)+(0.0002073924*$A3*$C3)+(0.00006118707*$B3*$C3)+(-0.000006373789*$A3*$B3*$C3)))); ISSO FUNFA
        $ad0=(1+(0.3591*((-0.02128887*$A3)+(-0.01005814*$B3)+(-0.01901894*$C3) +(0.0001171219*$A3*$B3)+(0.0002073924*$A3*$C3)+(0.00006118707*$B3*$C3)+(-0.000006373789*$A3*$B3*$C3)))); //ISSO FUNFA


		 //$ad=([1+(0.35941*(-0.02128887*$at))]);
		 $ad1=10*pow($ad0,2.78474);	 
      	 $ad=number_format($ad1,2,'.','');	 
		 echo("ad1=$ad1 ad=$ad<br> ");
		
		//topografia
		//eu somo Ou abato 180 esta regra basica mas se passar de um certo valor precisa abater mais
		//caso(1)  ai=270 az=300 somaespecial=750  novoazi=750-360=390    SEGUNDDO IF--> novoazi=390-360=30(aqui executa O 1º E O 2º if)   
		//caso(2)  ai=230 az=300 somaespecial=710  novoazi=710-360=350     aqui so executa o primeiro if 
		
		
        $ai=270;
		$az=310;
		$somaBasica=$ai+$az;
		$somaEspecial=$somaBasica+180;
        $novoAzi=$somaEspecial; //caso que a soma daria um valor menor que 180 ele ja sai pronto pois ja incrementou 180(genial)
		if($somaEspecial>360)$novoAzi=$somaEspecial-360; //aqui significa abater apenas 180 na realidade, e ja define o novo az
		if($novoAzi>360)$novoAzi=$novoAzi-360;//se ainda for maior que 360 ele abate 360 para chegar ao novo azi  
		echo("ai=$ai  az=$az  novoAzi=$novoAzi <br> ");
		
		
		
		 
    break;

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>